/*
 * Copyright (c) 2021, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef TPS272C45EVM_H_
#define TPS272C45EVM_H_


/* Output Pin Configurations */
#define DIA_EN_OUT P1OUT
#define DIA_EN_DIR P1DIR
#define DIA_EN_PIN BIT6

#define ILIM1_OUT P2OUT
#define ILIM1_DIR P2DIR
#define ILIM1_PIN BIT3

#define ILIM2_OUT P2OUT
#define ILIM2_DIR P2DIR
#define ILIM2_PIN BIT6

#define SEL_OUT P2OUT
#define SEL_DIR P2DIR
#define SEL_PIN BIT7

#define EN1_OUT P2OUT
#define EN1_DIR P2DIR
#define EN1_PIN BIT0

#define EN2_OUT P2OUT
#define EN2_DIR P2DIR
#define EN2_PIN BIT2

/* SNS Pin Configuration */
#define SNS_SEL P6SEL
#define SNS_PIN BIT5

/* Fault Pin Configuration */
#define FAULT_DIR P1DIR
#define FAULT_IN P1IN
#define FAULT_IFG P1IFG
#define FAULT_IE P1IE
#define FAULT_IES P1IES
#define FAULT_PIN BIT4

#endif /* TPS272C45EVM_H_ */
